AutoCAD .NET :: Call A Procedure Involving Pick Points Recursively

Sep 25, 2013

I am in the process of translating existing VBA code into VB.NET, and I just ran into some issues regarding how to interpret VBA's GOTO in VB.NET. In the VBA, the programmer has the code written thus...

Public Sub addTag()
Dim ptStart, ptEnd As Variant
Dim annotation As Object

[Code].....

Without the while loop, single execution works perfectly. But the while loop to emulate multiple (recursive) execution raises some issues.

My problem occurs during execution of my VB.NET code, and has to do with display of the generated entities after the user picks points.

User picks the start point, then picks the end point, but nothing is displayed in the modelspace; rather, user is prompted immediately to pick start point and end point all over again (because of the while loop I used to emulate VBA's GOTO).

However, once user presses ESC, all the leaders and blocks that were drawn during the execution of the while loop are immediately displayed.

Is there a way for me to make it so that EACH time the while loop executes, the end product is IMMEDIATELY displayed in modelspace at the end of EACH loop, BEFORE the user is prompted to pick points all over again (beginning of the next loop)?

The VBA code executes as expected during runtime, as a result of the GOTO StartAddTag line of code.

But I can't use GOTO in my VB.NET code because of its messy nature, so I used a while loop instead. And the while loop isn't performing as expected.

View 6 Replies


ADVERTISEMENT

AutoCad 2D :: Difference Between Using Pick Points And Objects Selection Methods?

May 6, 2012

What is the difference between using the Pick Points and Objects selection methods in the Boundary Hatch and Fill dialog box?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Incrementing Pick Points Alphabetically

Aug 8, 2013

I know how to increment pick points numerically (see below). How is it done alphabetically?
 
(defun C:test (/ pt# pt) (setq pt# (getint "
Enter number: ")) (while (setq pt (getpoint "
Specify point: " ))(if (/= pt nil) (progn (command "TEXT" "M" pt "" "" pt#) (setq pt# (1+ pt#)) ) ) ) (princ))

View 3 Replies View Related

AutoCAD Inventor :: Going Through All Parts Recursively In Bom View (Unnamed)

Jun 14, 2013

I need Recursively go to all bomrows and child rows if present in the Bomview Model Data ("Unnamed")

I have the below code but i only goes one level deep.

I tried the code from the inventor that does the trick on a structured bomview but i will fail if you have a virtual componenent that has the same partnumber as a part inserted in the assembly. then it finds the first insertet and errors on the next?

i have to recursively go to the "Unnamed" bomview here the below code does not fail and works, but as written only one level deep, i need all levels?
 
Public Sub UpdateThisFileBOMRowProperties14062013() 'ByVal oBOMRows As BOMRowsEnumerator) ', ByVal ItemTab As Long) oApp = GetObject(, "Inventor.Application") oAsmdoc = oApp.ActiveDocument ' Set a reference to the BOM Dim oBOM As BOM oBOM = oAsmdoc.ComponentDefinition.BOM

[code]....

View 3 Replies View Related

AutoCAD Inventor :: Condition Involving A Range Between Two Values?

Jan 18, 2012

I have to choose 1 of three views in a drawing using a range of values like:

if  ..........<10 then
ActiveSheet.View("VIEW1").View.Suppressed=False
else
ActiveSheet.View("VIEW1").View.Suppressed=true

[Code]....

The syntax that is in red upstairs gives me a error... What is the proper syntax to do this condition involving a range between two values???

Autodesk Factory Design Suite Ultimate 2014
Autodesk Simulation Mechanical
Autodesk Simulation CFD
Windows 7

View 4 Replies View Related

Photoshop :: Involving Layers And Eraser

Dec 27, 2007

from a satellite image cut OUT and discard the lake surface with intent to use the remainder as a 'layer' to over-lay a created image underneath...

I suspect this is quite simple...but trying various permutations of the question via 'Help' has so far not allowed me to unlock the secrets...

View 1 Replies View Related

Photoshop :: Get Tattoo Involving Eddie From Cover Of Dance Of Death

Jul 23, 2013

I would like to get a tattoo involving Eddie from the cover of Dance of Death. How to remove everything in this picture except Eddie and the black/white/yellow design on the floor.

View 9 Replies View Related

Paint Shop Pro :: Commands Involving Control Key Will Very Rarely Work

Dec 13, 2011

I use PaintShop Pro v. 11.20 at work. I was using it as normal one day, and it crashed. This is nothing new, the crash is because I tend to have a lot of programs open at the same time and I had not rebooted my computer soon enough to clear the RAM. The problem occurred when I reopened the paint shop after rebooting, and all commands involving the control key (copy/paste, etc.) as well as the delete key do nothing. Very occasionally, it will allow one of these commands to work, but this is now very rare. If I have an object selected, the highlighting will blink briefly as it does when you try to copy it, but otherwise does nothing. I can still use these commands from the drop-down menus. I think this is probably just some random bug that happened when it crashed for whatever reason. If I can avoid reinstalling that would be preferable, as I would have to have the disks mailed to me by the head office. I looked to see if there was some setting that would put things back to normal but could find nothing. I reset defaults, no change.

View 1 Replies View Related

AutoCAD 2013 :: Procedure For Updating It To 2014?

Apr 10, 2013

do you have a detailed procedure for updating autocad 2013 to 2014?

View 7 Replies View Related

AutoCAD Civil 3D :: Zooming Procedure In Same Display

Mar 19, 2012

what is the code that makes it so that zooming in produces the same display?

View 2 Replies View Related

AutoCAD Inventor :: Create And Use Procedure In ILogic?

Dec 23, 2012

How to create and use procedure in iLogic. 

I have try for create simple procedure / function in iLogic but can't work.

function LOD (ByVal a as string) as DrawingView ThisApplication.FileManager.GetLastActiveLevelOfDetailRepresentation(a)end function LOD_Assy = LOD(DirName)

View 2 Replies View Related

AutoCAD Inventor :: Procedure For Moving All Files To Different Location?

Jul 19, 2012

I have been asked by our IT department to move all my Inventor files (.iam, .idw, .dwg, .ipt, .ipn, .ide) from the local location on my PC to a location on our server to automate backup procedures and decrease the size of weekly backups.  Is there a procedure or preferred way to move these files?  I know I will need to revise the project paths for libraries, etc,

View 9 Replies View Related

AutoCAD Architecture :: Surface Hatching / Proper Procedure To Set Up New Wall Style

Jul 24, 2012

I am using ACA 2011. I have a rectangular building with a standard 8" CMU wall pattern. I need to edit that pattern so it reflects a 10x8x8 CMU block. What is the proper procedure to set up a new wall style or can I just week the 16" length to show as a 10"  length block in this file?

View 3 Replies View Related

AutoCAD Civil 3D :: Procedure To Adjust Overlapping USGS Quad Maps

Apr 3, 2012

Also shift position (north/south). Have done this before in Autocad cannot remember process. It was a very simple procedure but I can not find any documentation on it. I do remember it involved picking the new position for each corner of the quad.

As well ,is there a way to clip the collar in Autocad.  A clip that will not be affected by other clips necessary to other drawings?

View 9 Replies View Related

AutoCAD Inventor :: Procedure To Actively View Section Plane In Assembly Or Part

Oct 6, 2011

there is a command or simple procedure to actively view a section plane in an assembly or part. I know there are the static methods of using slice graphics and section view however I'm looking to create a live section where I am able to constantly move the plane through the model thus altering the live section as it appears on screen, similar to the way a model can be viewed in Tekla with the cut section command.

Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)

View 5 Replies View Related

AutoCAD .NET :: Call COM Object From 2011?

Jul 22, 2012

I tried to call COM object created by C# from other C# module.

I did:

1. Create simple COM object by C#

2. Register it

3. Try to call this COM from other C# console application - it works fine

4. Create simple AutoCad module by C# with IExtensionApplication

5. Try to call this module from AutoCAD - it works

6. In Initialize() method I wrote:

Type myClassAdapterType = Type.GetTypeFromProgID("CoreAdapter.CoreAdapterClass");

 acDoc.Editor.WriteMessage("Type is OK: {0}", myClassAdapterType.FullName);

 object myClassAdapterInstance = Activator.CreateInstance(myClassAdapterType);

acDoc.Editor.WriteMessage("Created");

6. Open AutoCAD again

7. Load my module

8. I saw "Type is OK" (becase it was registered in registry)

But I can't create instance.

View 1 Replies View Related

AutoCAD .NET :: How To Call Command On Runtime

Sep 3, 2012

How to call AutoCAD Command with .net C# on runtime?

For Example,

After opening my Drawing File thro. .net C#,

acApp.ActiveDocument.Application.ZoomExtents();

I need to use the AutoCAD command Oleopen

acApp.ActiveDocument.BeginCommand.oleopen();

Here is some error.

Normally how to use the AutoCAD commands with .net C# programming.

View 9 Replies View Related

Photoshop :: CS3 To CS4 Upgrade Procedure

Dec 19, 2008

Adobe instructs to install CS4 upgrade on top of CS3 in order to get varification. I understand that it is possible to fully uninstall CS3 prior to CS4 without problems if you have the old SN. Is there any advantage or disadvandage of upgrading this way?

View 4 Replies View Related

AutoCAD Inventor :: Call Indented BOM In IDW Level

Mar 3, 2013

What is the procedure to call a indented bom in idw level? i tried it by clicking ALL LEVEL  in the bom window but no use.

View 6 Replies View Related

AutoCAD Inventor :: Call Out Square In Note?

Jun 11, 2012

What is the proper way to call out  a square in a note?  Do you put size then square symbol or square symbol then size?

View 2 Replies View Related

AutoCad :: Section Call Out (dynamic Block)

Sep 19, 2013

I have this section call out which I modify from default autocad library but the problem I have is that when I scale it to factor of 48 (1/4"=1" drawing) my text is supposed to be 4.5 in and is 4.62. Likewise for scale factor of 96 is 9.24 in as supposed to 9.0 in. HOW GET THE RIGHT TEXT SIZE?

AutoCAD LT2012
Windows 7

View 2 Replies View Related

AutoCAD 2013 :: Call Name Of Layout In Field?

Apr 10, 2013

I use multiple layouts to produce build drawings and I use the name of the layout tab to identify the sheet on the shop floor.

I currently use a field in the titleblock that calls the system variable ctab, the problem is that whenever you update the fields, they all change to the name of the current tab, not the name of their own tab (by default, when you open the drawing, they all say Model).

I resort to building all of the layouts and converting that field to text prior to printing.

View 1 Replies View Related

AutoCad :: How Call Out Blocks Used With Sheet Set Manager

Sep 25, 2013

What is the purpose of call out blocks and how are they used with sheet set manager?

View 3 Replies View Related

Photoshop :: Different Selections From Same Logical Procedure (Mac OS 10.6.8)

Jun 15, 2012

Example:

Create or open a document.

Create a horizontal guide by dragging it from the ruler.
 
Now use the marquee tool to select the upper half of the picture, with the bottom of the selection snapping to the guide.
 
Result:Some times it happens that the resulting selection is different than the (logically) same selection made from the lower half of the picture to the guide and then inverted.Effectively this means sometimes when I use a snapping guide as the limit of a selection from one direction it is not border-to-border with one drawn from the other side. Then a line of one pixel height 'behind' the guide is not selected by either one of these procedures.
 
Expected Result:When the guide (which should have no width or height at all) forms the border of a selection from one side, it should be the inverse of a selection touching the guide from the other side.
 
System Information
 
Adobe Photoshop Version: 13.0 (13.0 20120315.r.428 2012/03/15:21:00:00) x64
Operating System: Mac OS 10.6.8
System architecture: Intel CPU Family:6, Model:30, Stepping:5 with MMX, SSE Integer, SSE FP, SSE2, SSE3, SSE4.1, SSE4.2
Physical processor count: 4
Processor speed: 2660 MHz
Built-in memory: 16384 MB

[code]....

View 3 Replies View Related

Photoshop :: Procedure Entry Point

Nov 8, 2013

Why do I continue to get this message?
 
The procedure entry point - ?initialize@Library@OGL@AIF@SAXPEAUcontext@23@AEBVInitOptics@Extensio nManager@23@Z - could not be located in dynamic link library aif_ogl.dll
 
I've uninstalled and reinstalled PhotoshopCC

View 1 Replies View Related

3ds Max :: Error Code 127 - The Specified Procedure Could Not Be Found

Aug 13, 2012

3ds Max 2013 start with below error after install V-Ray 2.30.

"failed to initialize , Error code 127 - The specified procedure could not be found."

View 1 Replies View Related

AutoCAD Civil 3D :: VB Error - Call Was Rejected By Callee

Jul 9, 2013

Im having problem with the BV is always giving me this error

Run-time error '-2147418111(80010001)':
Automatic error
Call was rejected by callee.

View 2 Replies View Related

AutoCAD .NET :: Possible To Call Lisp Function After BeginDocumentClose Event?

May 15, 2011

I am currently in the process of re-writing my VBA in .net.In VBA I successfully used AcadDocument_BeginClose which called lisp functions.It would be nice to have all code in the same environment I need to transition my changes.

Therefore I need to call lisp from .net.My function works well when run withing the cad files session but does not appear to call the lisp when called after the BeginDocumentClose.

Is it possible to call a lisp function after the BeginDocumentClose event?

View 1 Replies View Related

AutoCAD Civil 3D :: Structure Drag Call Out Leader

Aug 2, 2012

I have been trying for weeks and still cat get it to work. I am trying to make my drag out leader to look like a pline with a width of 0 on one side and a width of 4 on the other for civil 3d 2012. See attached .

View 4 Replies View Related

AutoCAD .NET :: Call GROUPTOG CadWorx Command From Addin Possible

Sep 13, 2013

I need to call the GROUPTOG, which is a CadWorx command, from my .Net AddIn.  Is this possible, and if so, how would one do it?

View 1 Replies View Related

AutoCAD Inventor :: Limit / Fit In Hole Note Call Out?

May 10, 2012

Is it possible to get a Limit/Fit tolerance included in a Hole Note call out, such as H7 etc?

Currently, when I am dimensioning Counter Bore holes, I have to use a general dimension for CBore dia incuding the Limit/Fit tolerance and manually add the hole dia (or visa versa). This means I have to manually update any changes to hole dia.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved